summaryrefslogtreecommitdiffstats
path: root/.bin/draw-logo
diff options
context:
space:
mode:
Diffstat (limited to '.bin/draw-logo')
-rwxr-xr-x.bin/draw-logo23
1 files changed, 23 insertions, 0 deletions
diff --git a/.bin/draw-logo b/.bin/draw-logo
new file mode 100755
index 0000000..d65bf8f
--- /dev/null
+++ b/.bin/draw-logo
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -xe
+
+circle_coordinates="256,256,256"
+background_color="white"
+foreground_color="black"
+
+convert -size 512x512 \
+ "xc:${backgrond_color}" \
+ -fill "${foreground_color}" \
+ -draw "circle ${circle_coordinates},32" \
+ -fill "${background_color}" \
+ -draw "circle ${circle_coordinates},96" \
+ "${1}.png"
+
+convert "${1}.png" -resize "50%" "${1}-medium.png"
+convert "${1}.png" -resize "25%" "${1}-small.png"
+
+convert "${1}-small.png" \
+ -level -10%,12% \
+ -ordered-dither o8x8 \
+ "${1}-dithered.png"
remember that computers suck.